Get a vehicle
GET
Returns one vehicle. Pass expand=assignment to include the users currently assigned to it.
BearerAuthheader
AuthorizationBearer <JWT>vehicleId*stringVehicle identifier, from List vehicles.
Format
uuidexpand?stringSet to assignment to include the users currently assigned to the vehicle, keyed by role.
OK
*/*- response
status*stringOutcome of the call: SUCCESS when the request was handled, ERROR otherwise.
message*stringShort human-readable message describing the outcome, e.g. which record was fetched or saved.
data?The vehicle.
Example Request
curl -X GET 'https://beta.iotoms.com/api/v1/ops/vehicles/497f6eca-6276-4993-bfeb-53cbbbba6f08'Example Response
{ "status": "string", "message": "string", "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "vehicleNumber": "string", "vehicleLabel": "string", "vehicleType": "VAN", "status": "ACTIVE", "lastOdometerKm": 0, "notes": "string", "assignment": { "property1": { "assignmentId": "dbf5135c-beb7-4185-80db-2e980c77381b", "userId": 0, "username": "string", "assignmentRole": "string", "assignedAt": "2019-08-24T14:15:22Z", "assignedBy": "string", "isActive": true }, "property2": { "assignmentId": "dbf5135c-beb7-4185-80db-2e980c77381b", "userId": 0, "username": "string", "assignmentRole": "string", "assignedAt": "2019-08-24T14:15:22Z", "assignedBy": "string", "isActive": true } } }}